View Issue Details

IDProjectCategoryLast Update
0020252AI War 2[All Projects] Bug - GameplaySep 14, 2018 8:15 am
ReporterRocketAssistedPuffinAssigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.767 Newly In Stock, By Zenith 
Fixed in Version0.769-0.770 Thinking Long-Term 
Summary0020252: Multishot weapons don't seem to be working quite right
DescriptionSo I made the Armored Golem get a 40 shot, multi-shot type weapon, just like the AI Overlord got the update before. I continued my own save with this change and...it's not firing properly. It's set to fire non-sequentially, i.e all 40 at once, yet it's just...doing one at a time, much slower. It isn't firing multiple salvos like MLRS used to before their reload time increase either.

Sequential barrages seem to be slower as well?

Not really sure what's going on - only two units, the above mentioned Armored and Overlord I think are really affected by this, so it's somewhat low priority.
TagsNo tags attached.

Activities

RocketAssistedPuffin

Sep 7, 2018 6:29 pm

developer   ~0049126

Normal MLRS units also fire sequentially regardless of their settings - and definitely seem to be slower. Before they would fire fast enough that each shot trail would slightly overlap, now there's a gap in between.

RocketAssistedPuffin

Sep 7, 2018 6:36 pm

developer   ~0049127

Save here. There is a group of Armor Ships on my Homeworld, and a single Pike Corvette in range. The Pike has multishot, with 5 shots per salvo. You can observe it fire only two shots, at the same two Armor ships, despite all of them being in range.

BrokenMultiShot.save (820,504 bytes)
BrokenMultiShot.savemet (42 bytes)

RocketAssistedPuffin

Sep 7, 2018 6:40 pm

developer   ~0049128

Last edited: Sep 7, 2018 6:41 pm

View 2 revisions

Logs with ShotHit tracing active.

In getting this, the Pike started to fire two shots, wait a second, then fire another two at the same targets. Still not a full salvo, and strangely delayed - the reload time is 4s, so it's not a new salvo either.



GameEntityReferenceData.csv (14,227 bytes)
ArcenDebugLog.txt (103,455 bytes)
9/7/2018 11:38:21 PM	Current directory used: C:/Steam/steamapps/common/AI War 2/
Process Count = 0 so PlayerDataDirectory used: C:/Steam/steamapps/common/AI War 2/PlayerData/
9/7/2018 11:38:22 PM	No resolution change was required.
9/7/2018 11:38:22 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
9/7/2018 11:38:22 PM	Applied Framerate Type: 120 FPS (vsync: 0 targetFPS:120)
9/7/2018 11:38:37 PM	ArcenAssetBundleCache.InstantiatedObjects: 622
9/7/2018 11:38:37 PM	Game Version: 0.767
graphicsDeviceType in use: Direct3D11
graphicsDeviceVersion in use: Direct3D 11.0 [level 11.0]
graphicsMultiThreaded: False
graphicsShaderLevel: 50
operatingSystem: Windows 8.1  (6.3.0) 64bit
graphicsDeviceName: NVIDIA GeForce GTX 750 Ti
graphicsDeviceID: 4992
graphicsDeviceVendor: NVIDIA
graphicsDeviceVendorID: 4318
graphicsDeviceVersion: Direct3D 11.0 [level 11.0]
graphicsMemorySize: 1968
maxTextureSize: 16384
npotSupport: Full
processorType: Intel(R) Core(TM) i5-4460 CPU @ 3.20GHz
processorCount: 4
processorFrequency: 3193
systemMemorySize: 8144
supportsImageEffects: True
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: True
9/7/2018 11:38:37 PM	17.5 seconds total load time.

SetDirectoriesToBeUsed (1.2s)
Calculate FInt Sqrt Arrays (0.3s)
LoadFinalSFXStuff (8.4s)
ExternalIconDictionaryTable (0.4s)
ArcenUIPrefabTable (0.3s)
PlanetDefinitionTable (0.8s)
GameEntityTypeDataTable.Initialize (0.4s)
GameEntityTypeDataTable.InitVisualBits (3.5s)
SurrogateTableTable (0.4s)
9/7/2018 11:38:37 PM
Hello Steam user 'RocketAssistedPuffin'

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <c1628852d7674eb28a719fdb7cac0e48>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <c1628852d7674eb28a719fdb7cac0e48>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <c1628852d7674eb28a719fdb7cac0e48>:0 
  at ArcenGameController.Update () [0x00000] in <842479ce6add45908b4aec5159717064>:0 

9/7/2018 11:38:46 PM	Successfully opened host socket
9/7/2018 11:39:00 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #90
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 480
actualDamageDone = 480
9/7/2018 11:39:00 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #90
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 480
actualDamageDone = 480
9/7/2018 11:39:00 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #98
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs HumanHomeCommandStation
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:00 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #101
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs HumanHomeCommandStation
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:00 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #110
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:00 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #112
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs HumanHomeCommandStation
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:00 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #122
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:00 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #95
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:00 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #97
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:00 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #100
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs HumanHomeCommandStation
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:00 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #102
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:00 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #104
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:00 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #105
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:00 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #106
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:00 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #109
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:00 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #111
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:00 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #113
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:00 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #115
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:00 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #116
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs HumanHomeCommandStation
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:00 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #118
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:00 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #120
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:00 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #123
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:00 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #96
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:00 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #99
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:00 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #103
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:00 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #107
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:00 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #108
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:00 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #114
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:00 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #117
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:00 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #119
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:00 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #121
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:01 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #90
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 480
actualDamageDone = 480
9/7/2018 11:39:02 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #90
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:03 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #90
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:04 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #90
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 480
actualDamageDone = 480
9/7/2018 11:39:05 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #90
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:05 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #90
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 480
actualDamageDone = 480
9/7/2018 11:39:06 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #123
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:06 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #102
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:06 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #116
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs HumanHomeCommandStation
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:06 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #113
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs HumanHomeCommandStation
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:06 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #100
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:06 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #99
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:06 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #111
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:06 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #110
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:06 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #109
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs HumanHomeCommandStation
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:06 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #98
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:06 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #104
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:06 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #118
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:06 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #103
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:06 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #117
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:06 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #122
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:06 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #115
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:06 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #101
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:06 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #114
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:06 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #112
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:06 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #121
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:06 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #120
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:06 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #108
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:06 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #107
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:06 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #97
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:06 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #106
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:06 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #96
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:06 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #105
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:06 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #95
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:06 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #119
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:07 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #90
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:07 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #90
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 480
actualDamageDone = 480
9/7/2018 11:39:09 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #90
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:09 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #90
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 480
actualDamageDone = 480
9/7/2018 11:39:10 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #90
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:11 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #90
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 480
actualDamageDone = 480
9/7/2018 11:39:11 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #84
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:12 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #84
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:12 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #92
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:12 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #92
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:12 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #97
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:12 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #113
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:12 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #114
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs HumanHomeCommandStation
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:12 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #123
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:12 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #111
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:12 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #119
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:12 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #108
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs HumanHomeCommandStation
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:12 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #105
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs HumanHomeCommandStation
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:12 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #104
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:12 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #102
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs HumanHomeCommandStation
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:12 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #100
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:12 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #95
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:12 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #115
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:12 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #98
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:12 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #99
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:12 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #110
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:12 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #112
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:12 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #109
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:12 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #121
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs HumanHomeCommandStation
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:12 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #107
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:12 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #122
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:12 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #120
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:12 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #118
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:12 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #116
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:12 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #117
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:12 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #103
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:12 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #106
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:12 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #101
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:12 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #96
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:12 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #90
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:13 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #90
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:13 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #84
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:13 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #84
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:14 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #92
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:14 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #92
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:14 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #93
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:14 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #90
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:14 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #93
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:14 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #90
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:15 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #84
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:15 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #84
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 60
9/7/2018 11:39:15 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #92
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:15 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #86
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:16 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #77
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:16 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #86
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:16 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #54
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:16 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #81
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:16 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #90
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 480
actualDamageDone = 480
9/7/2018 11:39:16 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #74
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:16 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #77
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:16 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #93
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:16 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #90
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 480
actualDamageDone = 480
9/7/2018 11:39:16 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #74
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 60
9/7/2018 11:39:17 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #84
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 480
actualDamageDone = 480
9/7/2018 11:39:17 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #84
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 480
actualDamageDone = 480
9/7/2018 11:39:17 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #92
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:17 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #48
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 480
actualDamageDone = 480
9/7/2018 11:39:17 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #92
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:17 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #91
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:17 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #88
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:17 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #62
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 480
actualDamageDone = 480
9/7/2018 11:39:17 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #75
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 480
actualDamageDone = 480
9/7/2018 11:39:17 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #58
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:17 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #86
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:17 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #48
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:17 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #91
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:17 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #35
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:17 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #38
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:17 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #69
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:17 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #76
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:17 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #93
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:17 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #88
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:17 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #44
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:17 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #77
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:18 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #62
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:18 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #75
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:18 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #81
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:18 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #54
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:18 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #86
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:18 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #38
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:18 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #69
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:18 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #56
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:18 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #90
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:18 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #44
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:18 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #58
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:18 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #35
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:18 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #76
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:18 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #74
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:18 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #79
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:18 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #40
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 60
9/7/2018 11:39:18 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #36
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:18 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #93
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:18 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #57
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:18 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #77
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:18 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #54
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:18 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #81
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 60
9/7/2018 11:39:18 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #87
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:18 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #56
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:18 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #90
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 480
actualDamageDone = 480
9/7/2018 11:39:18 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #118
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs HumanHomeCommandStation
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:18 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #115
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:18 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #87
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:18 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #36
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:18 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #57
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 480
actualDamageDone = 480
9/7/2018 11:39:18 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #74
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:18 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #79
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 480
actualDamageDone = 480
9/7/2018 11:39:18 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #119
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:18 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #113
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:18 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #99
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:18 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #106
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:18 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #100
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:18 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #101
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:18 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #110
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:18 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #122
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:18 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #108
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:18 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #109
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:18 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #111
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:18 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #105
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:18 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #116
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs HumanHomeCommandStation
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:18 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #102
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:18 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #41
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:18 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #50
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:18 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #55
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:18 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #103
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:18 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #104
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:18 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #98
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:18 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #112
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:18 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #96
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:18 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #121
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:18 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #107
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:18 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #117
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:18 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #114
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:18 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #120
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:18 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #83
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:18 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #43
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:18 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #59
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:18 PM	Tracing DoHitLogic for shot from ArmorShip_BallisticCannon from ArmorShip #123
Tracing GetAttackPowerAgainst for shot from ArmorShip_BallisticCannon vs StartingShieldGenerator
FInt result = (FInt)this.TypeData.DamagePerShot = 120
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 120
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 120
actualDamageDone = 120
9/7/2018 11:39:18 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #41
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:18 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #55
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:18 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #37
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 480
actualDamageDone = 480
9/7/2018 11:39:18 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #67
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 60
9/7/2018 11:39:19 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #47
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:19 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #63
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:19 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #71
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 480
actualDamageDone = 480
9/7/2018 11:39:19 PM	Tracing DoHitLogic for shot from PikeCorvette_Petard from PikeCorvette #84
Tracing GetAttackPowerAgainst for shot from PikeCorvette_Petard vs ArmorShip
FInt result = (FInt)this.TypeData.DamagePerShot = 80
result *= this.ParentEntity.PlanetFaction.CurrentAttackMultiplier = 80
int adjustedAttackPower = ( ( attackPowerAgainstThisTarget * PercentOfTotalAttackPowerForThisHit ) / 100 ).IntValue = 240
actualDamageDone = 240
9/7/2018 11:39:21 PM	PLAYER DISCONNECTED 0.0.0.0=>0
ArcenDebugLog.txt (103,455 bytes)

HeartHunter7

Sep 7, 2018 7:02 pm

reporter   ~0049131

Its true.
Plus units with rocket weapon have not good shot animation. For example: MLRS.

x4000Bughunter

Sep 7, 2018 10:34 pm

administrator   ~0049139

Thanks!

* Probably fixed a bug with all multi-shot ships, who were likely not firing nearly enough shots. Will require more testing to be sure, but it looks good at a first bit of testing.
** As a bonus, their targets are now chosen more intelligently than they previously were.


Can you let me know if that works okay in more detailed examination? It affects lots more than those two units.

RocketAssistedPuffin

Sep 8, 2018 5:58 am

developer   ~0049141

Last edited: Sep 8, 2018 10:06 am

View 5 revisions

Been back and forth on this...it works, it doesn't, this thing is okay, now it's not, etc.

So, multishots now fire full salvos, and at the proper speed.

What's wrong with the Armoured is it's firing every shot at a single target, vastly overkilling it.

Multishots in general don't always spread their shots out, instead being able to focus full salvos on single targets. If the target dies, the rest of the salvo is wasted.

I've been giving this Golem all different kinds of weapons, multiple systems of single shots (that also caused massive overkill), MLRS style with enormous damage to see if it'd allocate one missile for each target, gave it the Thanatos zombifying weapon to see if that worked, etc. Nada.

So at this point I'm not sure what to do with it? I gave it multishot in spirit of the original Armoured Golem, but the only things I can think of now are a beam or a flak type, which...don't fit it. It doesn't have to fit of course, but that just feels wrong!

EDIT: Changed it and the Overlord up. They now get some of the biggest plasma cannons around. Also, I gave the Spire Frigate a beam since you fixed those up, and that thing is AWESOME. The sound and visuals, ohoho, I like these. Now I really want to do a bunch of units using these...Beam Frigates, anyone?

x4000Bughunter

Sep 9, 2018 8:57 pm

administrator   ~0049175

Awesome, I'm really glad to have this alternative solution, and that they look so good!

Quick note: the beams are somewhat expensive to draw, so having hundreds at a time would be bad news. Dozens at a time is fine, so for really big centerpiece units to have a bunch of beams, or smaller items that are less frequent to have one here and there, that's fine. But just an FYI.

RocketAssistedPuffin

Sep 14, 2018 8:15 am

developer   ~0049232

These appear to function correctly now, firing full salvos at a good pace and splitting them up, one for each target.

Issue History

Date Modified Username Field Change
Sep 7, 2018 6:17 pm RocketAssistedPuffin New Issue
Sep 7, 2018 6:29 pm RocketAssistedPuffin Note Added: 0049126
Sep 7, 2018 6:36 pm RocketAssistedPuffin File Added: BrokenMultiShot.save
Sep 7, 2018 6:36 pm RocketAssistedPuffin File Added: BrokenMultiShot.savemet
Sep 7, 2018 6:36 pm RocketAssistedPuffin Note Added: 0049127
Sep 7, 2018 6:40 pm RocketAssistedPuffin File Added: ArcenDebugLog.txt
Sep 7, 2018 6:40 pm RocketAssistedPuffin File Added: GameEntityReferenceData.csv
Sep 7, 2018 6:40 pm RocketAssistedPuffin Note Added: 0049128
Sep 7, 2018 6:41 pm RocketAssistedPuffin Note Edited: 0049128 View Revisions
Sep 7, 2018 7:02 pm HeartHunter7 Note Added: 0049131
Sep 7, 2018 10:34 pm x4000Bughunter Assigned To => x4000Bughunter
Sep 7, 2018 10:34 pm x4000Bughunter Status new => feedback
Sep 7, 2018 10:34 pm x4000Bughunter Note Added: 0049139
Sep 8, 2018 5:58 am RocketAssistedPuffin Note Added: 0049141
Sep 8, 2018 5:58 am RocketAssistedPuffin Status feedback => assigned
Sep 8, 2018 6:12 am RocketAssistedPuffin Note Edited: 0049141 View Revisions
Sep 8, 2018 6:26 am RocketAssistedPuffin Note Edited: 0049141 View Revisions
Sep 8, 2018 9:13 am RocketAssistedPuffin Note Edited: 0049141 View Revisions
Sep 8, 2018 10:06 am RocketAssistedPuffin Note Edited: 0049141 View Revisions
Sep 9, 2018 8:57 pm x4000Bughunter Note Added: 0049175
Sep 14, 2018 8:15 am RocketAssistedPuffin Status assigned => resolved
Sep 14, 2018 8:15 am RocketAssistedPuffin Resolution open => fixed
Sep 14, 2018 8:15 am RocketAssistedPuffin Fixed in Version => 0.769-0.770 Thinking Long-Term
Sep 14, 2018 8:15 am RocketAssistedPuffin Note Added: 0049232